if [ -n "$VCSH_DEBUG" ] || [ -n "$VCSH_VERBOSE" ]; then echo "$SELF: verbose: $@"; fi
}
-error () {
- echo "$SELF: error: $1" >&2
+fatal() {
+ echo "$SELF: fatal: $1" >&2
+ exit $2
}
-fatal () {
- echo "$SELF: fatal error: $1" >&2
- exit $2
+error() {
+ echo "$SELF: error: $1" >&2
}
-info () {
+info() {
echo "$SELF: info: $1"
}
init() {
verbose "init() begin"
- [ ! -e "$GIT_DIR" ] || fatal "$GIT_DIR exists" 10
+ [ ! -e "$GIT_DIR" ] || fatal "'$GIT_DIR' exists" 10
export GIT_WORK_TREE="$HOME"
mkdir -p "$GIT_WORK_TREE"
- cd "$GIT_WORK_TREE" || fatal "could not enter $GIT_WORK_TREE" 11
+ cd "$GIT_WORK_TREE" || fatal "could not enter '$GIT_WORK_TREE'" 11
cd "$GIT_WORK_TREE"
git init
setup
do
if [ ! -d "$check_directory" ]; then
if [ -e "$check_directory" ]; then
- fatal "$check_directory exists but is not a directory" 13
+ fatal "'$check_directory' exists but is not a directory" 13
else
- info "attempting to create $check_directory"
- mkdir -p "$check_directory" || fatal "could not create $check_directory" 50
+ info "attempting to create '$check_directory'"
+ mkdir -p "$check_directory" || fatal "could not create '$check_directory'" 50
fi
fi
done
git fetch
for object in $(git ls-tree -r origin/master | awk '{print $4}'); do
[ -e "$object" ] &&
- error "$object exists." &&
+ error "'$object' exists." &&
VCSH_CONFLICT=1;
done
[ "$VCSH_CONFLICT" = '1' ] &&
fatal "will stop after fetching and not try to merge!
- Once this situation has been resolved, run 'vcsh run <foo> git pull' to finish cloning.\n" 17
+ Once this situation has been resolved, run 'vcsh run $VCSH_REPO_NAME git pull' to finish cloning.\n" 17
git merge origin/master
verbose "clone end"
rm -f "$tempfile" &&
exit
if [ -e "$HOME/.gitignore.d/$VCSH_REPO_NAME" ]; then
- info "$HOME/.gitignore.d/$VCSH_REPO_NAME differs from new data, moving it to $HOME/.gitignore.d/$VCSH_REPO_NAME.bak"
+ info "'$HOME/.gitignore.d/$VCSH_REPO_NAME' differs from new data, moving it to '$HOME/.gitignore.d/$VCSH_REPO_NAME.bak'"
mv -f "$HOME/.gitignore.d/$VCSH_REPO_NAME" "$HOME/.gitignore.d/$VCSH_REPO_NAME.bak" ||
- fatal "could not move $HOME/.gitignore.d/$VCSH_REPO_NAME to $HOME/.gitignore.d/$VCSH_REPO_NAME.bak" 53
+ fatal "could not move '$HOME/.gitignore.d/$VCSH_REPO_NAME' to '$HOME/.gitignore.d/$VCSH_REPO_NAME.bak'" 53
fi
mv -f "$tempfile" "$HOME/.gitignore.d/$VCSH_REPO_NAME" ||
- fatal "could not move $tempfile to $HOME/.gitignore.d/$VCSH_REPO_NAME" 53
+ fatal "could not move '$tempfile' to '$HOME/.gitignore.d/$VCSH_REPO_NAME'" 53
cd "$old_dir"
verbose "seed-gitignore end"